// pseudo-opaque declaration
#ifndef VPFX
#define VPFX(x) tus_ ## x
#endif
struct VPFX(tus_server);

struct tus_exp;
struct vmod_blobdigest_digest;

// tus_servers.c
const char * tus_server_name(struct VPFX(tus_server) *);
struct tus_files *tus_server_files(struct VPFX(tus_server) *);
int tus_server_basefd(const struct VPFX(tus_server) *);
const char * tus_server_basedir(const struct VPFX(tus_server) *);
VCL_DURATION tus_server_expires(const struct VPFX(tus_server) *);
void tus_server_lock(struct VPFX(tus_server) *);
void tus_server_unlock(struct VPFX(tus_server) *);
VCL_BYTES tus_server_max(const struct VPFX(tus_server) *s);
struct vmod_blobdigest_digest * tus_server_digest(
    const struct VPFX(tus_server) *s);
struct tus_exp *tus_server_exp(const struct VPFX(tus_server) *);
